Package relaxngcc.grammar

# Class MarkupPattern

java.lang.Object
relaxngcc.grammar.Pattern
relaxngcc.grammar.MarkupPattern

Direct Known Subclasses:
  `AttributePattern`, `ElementPattern`

public abstract class MarkupPattern extends Pattern
Base class of ElementPattern and AttributePattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

Fields
Modifier and Type
Field
Description
`final Pattern`
`body`
`final Locator`
`endLocator`
`final NameClass`
`name`
`final Locator`
`startLocator`

## Constructor Summary

Constructors
Constructor
Description
`MarkupPattern(Locator sloc, Locator eloc, NameClass _name, Pattern _body)`

## Method Summary

### Methods inherited from class relaxngcc.grammar.Pattern

`apply`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### startLocator

public final Locator startLocator

### endLocator

public final Locator endLocator

### name

public final NameClass name

### body

public final Pattern body

## Constructor Details

### MarkupPattern

public MarkupPattern(Locator sloc, Locator eloc, NameClass _name, Pattern _body)